Subject: Ticket Assigned - Shukran
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 24 Nov 2022 12:48:44 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Shukran Good morning 

I returned an item a month back and still haven’t got my refund. It was refund through shukran pay and its bin more than a month 
I faced a similar problem 2 months back for refund where i had keep calling and checking and was refunded very late. 
It is mentioned that shukran pay is fast easy and convenient, where non of it is true. 
I’m a regular customer and never once had bad experience apart from this 
Please look into the issue 
Looking forward for an update 

Warm Regards 
Naifa https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5269522